Loading...
Searching...
No Matches
BALL::AssignTypeNameProcessor Class Reference
Molecular Modeling » Molecular Mechanics » General Force Field Classes.

`#include <BALL/MOLMEC/COMMON/assignTypes.h>`

Inheritance diagram for BALL::AssignTypeNameProcessor:

## Public Member Functions

Constructors and Destructors
| AssignTypeNameProcessor (const String &filename, bool overwrite=false)
Public Member Functions inherited from BALL::AssignBaseProcessor
| AssignBaseProcessor ()
void | setMaximumUnassignedAtoms (Size nr)
Size | getMaximumUnassignedAtoms () const
Size | getNumberOfUnassignedAtoms () const
| Get the number of atoms, for which the force field setup failed.
HashSet< const Atom * > & | getUnassignedAtoms ()
| Get the atoms, for which the force field setup failed.
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Processor related methods

StringHashMap< String > | type_map_
bool | overwrite_
virtual Processor::Result | operator() (Atom &atom)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Attributes inherited from BALL::AssignBaseProcessor
HashSet< const Atom * > | unassigned_atoms_
Size | max_number_unassigned_atoms_

## Detailed Description

Assign type names to atoms.

Definition at line 97 of file assignTypes.h.

## Constructor & Destructor Documentation

## AssignTypeNameProcessor()

BALL::AssignTypeNameProcessor::AssignTypeNameProcessor | ( | const String & | filename,
|  | bool | overwrite = false )

## Member Function Documentation

## operator()()

virtual Processor::Result BALL::AssignTypeNameProcessor::operator() | ( | Atom & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Atom >.

## Member Data Documentation

## overwrite_

bool BALL::AssignTypeNameProcessor::overwrite_

protected

Definition at line 125 of file assignTypes.h.

## type_map_

StringHashMap<String> BALL::AssignTypeNameProcessor::type_map_

protected

Definition at line 123 of file assignTypes.h.